<?php

namespace PublishPress\FuturePro\Modules\Workflows\Interfaces;

interface EventDrivenActionsModelInterface
{
    public function getEventDrivenActions(
        int $userId,
        ?int $limit = null,
        ?int $offset = null,
        ?string $order = 'ASC'
    ): array;

    public function getEventDrivenActionsByStatus(
        string $status,
        ?int $limit = null,
        ?int $offset = null,
        ?string $order = 'ASC'
    ): array;

    public function deleteExpiredDoneActions(): int;
}
